com.atid.lib.module.barcode.spc.type

## Enum CodabarConcatenation

- java.lang.Object
- - java.lang.Enum<CodabarConcatenation>
  - - com.atid.lib.module.barcode.spc.type.CodabarConcatenation

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<CodabarConcatenation>

      public enum CodabarConcatenation
      extends java.lang.Enum<CodabarConcatenation>
      implements IEnumType

  Codabar supports symbol concatenation. When you enable concatenation, the scanner looks for a Codabar symbol having a “D” start character, adjacent to a symbol having a “D” stop character. In this case the two messages are concatenated into one with the “D” characters omitted. Select Require to prevent the scanner from decoding a single “D” Codabar symbol without its companion. This selection has no effect on Codabar symbols without Stop/Start D characters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Off`
    `On`
    `Require`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static CodabarConcatenation` | `valueOf(int code)`
    `static CodabarConcatenation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CodabarConcatenation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Off

          public static final CodabarConcatenation Off

    - #### On

          public static final CodabarConcatenation On

    - #### Require

          public static final CodabarConcatenation Require

  - ### Method Detail

    - #### values

          public static CodabarConcatenation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CodabarConcatenation c : CodabarConcatenation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CodabarConcatenation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<CodabarConcatenation>`

    - #### valueOf

          public static CodabarConcatenation valueOf(int code)